diff -ru mmm-mode-0.4.8/mmm-vars.el mmm-mode-0.4.8.new/mmm-vars.el
--- mmm-mode-0.4.8/mmm-vars.el  2004-06-16 07:14:18.000000000 -0700
+++ mmm-mode-0.4.8.new/mmm-vars.el      2007-02-22 12:20:01.000000000 -0800
@@ -287,7 +287,16 @@
         c-type-prefix-key 
         comment-end 
         comment-start 
-        comment-start-skip))
+        comment-start-skip
+
+        c-block-prefix-charset
+        c-nonlabel-token-key
+        c-block-stmt-1-key
+        c-label-kwds-regexp
+        c-prefix-spec-kwds-re
+        c-decl-hangon-key
+        c-type-decl-suffix-key
+        ))
     ;; Skeleton insertion
     skeleton-transformation
     ;; Abbrev mode